Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class VMConfigSpec

    java.lang.Object
      org.ow2.jasmine.vmm.api.VMConfigSpec

All Implemented Interfaces:
  java.io.Serializable

    public class VMConfigSpec

extends java.lang.Object
implements java.io.Serializable

The `VMConfigSpec` class is a helper class used to describe the configuration of a virtual machine to be created

See Also:
  Serialized Form

Constructor Summary
`VMConfigSpec()` Constructs a `VMConfigSpec` object
`VMConfigSpec(java.lang.String name, long memorySizeMB, int numVCPU, int diskSizeMB, java.lang.String vmImageUUID)` Constructs a `VMConfigSpec` object
`VMConfigSpec(VMConfigSpec other)` Constructs a `VMConfigSpec` object as a copy of the argument

Method Summary
`int` | `getDiskSizeMB()` Returns the disk size in MBytes of the virtual machine configuration
`long` | `getMemorySizeMB()` Returns the memory size of the virtual machine in MBytes
`java.lang.String` | `getName()` Returns the name of virtual machine
`int` | `getNumVCPU()` Returns the number of virtual CPUs of the virtual machine configuration
`java.lang.String` | `getVmImageUUID()` Returns the image ID of the virtual machine configuration
`void` | `setDiskSizeMB(int diskSizeMB)` Sets the disk size in MBytes
`void` | `setMemorySizeMB(long memorySizeMB)` Sets the memory size of the virtual machine configuration in MBytes
`void` | `setName(java.lang.String name)` Sets the name of the virtual machine
`void` | `setNumVCPU(int numVCPU)` Sets the number of virtual CPUs
`void` | `setVmImageUUID(java.lang.String diskImageID)` Sets the image ID of the virtual machine

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMConfigSpec

    public VMConfigSpec(java.lang.String name,
                        long memorySizeMB,
                        int numVCPU,
                        int diskSizeMB,
                        java.lang.String vmImageUUID)

  Constructs a `VMConfigSpec` object

  Parameters:
    `name` - the name of the virtual machine
    `memorySizeMB` - the initial memory allocation in MBytes
    `numVCPU` - the number of virtual CPUs
    `diskSizeMB` - the disk size in MBytes
    `vmImageUUID` - the uuid of the VM image that will be used to create the VM

### VMConfigSpec

    public VMConfigSpec(VMConfigSpec other)

  Constructs a `VMConfigSpec` object as a copy of the argument

  Parameters:
    `other` - original object to copy

### VMConfigSpec

    public VMConfigSpec()

  Constructs a `VMConfigSpec` object

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of the virtual machine

  Parameters:
    `name` -

### setMemorySizeMB

    public void setMemorySizeMB(long memorySizeMB)

  Sets the memory size of the virtual machine configuration in MBytes

  Parameters:
    `memorySizeMB` -

### setNumVCPU

    public void setNumVCPU(int numVCPU)

  Sets the number of virtual CPUs

  Parameters:
    `numVCPU` -

### setDiskSizeMB

    public void setDiskSizeMB(int diskSizeMB)

  Sets the disk size in MBytes

  Parameters:
    `diskSizeMB` -

### setVmImageUUID

    public void setVmImageUUID(java.lang.String diskImageID)

  Sets the image ID of the virtual machine

  Parameters:
    `diskImageID` -

### getName

    public java.lang.String getName()

  Returns the name of virtual machine

  Returns:
    name of the virtual machine

### getMemorySizeMB

    public long getMemorySizeMB()

  Returns the memory size of the virtual machine in MBytes

  Returns:

### getNumVCPU

    public int getNumVCPU()

  Returns the number of virtual CPUs of the virtual machine configuration

  Returns:

### getDiskSizeMB

    public int getDiskSizeMB()

  Returns the disk size in MBytes of the virtual machine configuration

  Returns:

### getVmImageUUID

    public java.lang.String getVmImageUUID()

  Returns the image ID of the virtual machine configuration

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 OW2 Consortium. All Rights Reserved.